## golang-golang-x-tools 0.0~git20150716.0.87156cb+dfsg1

=== debian/changelog ===
golang-golang-x-tools (1:0.0~git20150716.0.87156cb+dfsg1-3) unstable; urgency=medium

  * Rename stress to golang-stress (Closes: #793693)

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 27 Jul 2015 19:16:39 +0200

golang-golang-x-tools (1:0.0~git20150716.0.87156cb+dfsg1-2) unstable; urgency=medium

  * Fix upgrade path by using correct version number (forgot the epoch
    earlier) in Breaks/Replaces fields (Closes: #793650)
  * Depend on dh-golang >= 1.7 instead of manually running go generate

 -- Michael Stapelberg <stapelberg@debian.org>  Sun, 26 Jul 2015 13:59:29 +0200

golang-golang-x-tools (1:0.0~git20150716.0.87156cb+dfsg1-1) unstable; urgency=medium

  * Rename source and binary package from golang-go.tools{,-dev} to
    golang-golang-x-tools{,-dev}, following the policy outlined at
    http://pkg-go.alioth.debian.org/packaging.html
  * New upstream version
  * Repackage upstream source to use symlinks to jquery and jquery-ui instead
    of bundled source copies.
  * drop debian/patches/0003-fix-tests.patch (merged upstream)
  * add debian/patches/0003-present-base-path.patch
  * update standards-version to 3.9.6 (no changes necessary)

 -- Michael Stapelberg <stapelberg@debian.org>  Tue, 21 Jul 2015 10:36:10 +0200

golang-go.tools (0.0~hg20140703-4) unstable; urgency=medium

  * Update debian/patches/0003-fix-tests.patch

 -- Michael Stapelberg <stapelberg@debian.org>  Fri, 12 Sep 2014 09:11:12 +0200

golang-go.tools (0.0~hg20140703-3) unstable; urgency=medium

  * Add debian/patches/0003-fix-tests.patch (Closes: #754644)

 -- Michael Stapelberg <stapelberg@debian.org>  Fri, 29 Aug 2014 09:50:11 +0200

golang-go.tools (0.0~hg20140703-2) unstable; urgency=medium

  * Rename eg to golang-go (Closes: #753978)

 -- Michael Stapelberg <stapelberg@debian.org>  Tue, 22 Jul 2014 09:48:00 +0200

golang-go.tools (0.0~hg20140703-1) unstable; urgency=medium

  * Import new upstream version (release-branch.go1.3). The old version broke
    with go 1.3 (Closes: #753185)

 -- Michael Stapelberg <stapelberg@debian.org>  Thu, 03 Jul 2014 18:52:34 +0200

golang-go.tools (0.0~hg20131126-3) unstable; urgency=low

  * Add patch 0002-skip-online-tests.patch (Thanks James Page)
    (Closes: #737985)

 -- Michael Stapelberg <stapelberg@debian.org>  Fri, 07 Feb 2014 21:27:37 +0100

golang-go.tools (0.0~hg20131126-2) unstable; urgency=low

  * Fix Breaks/Replaces field (Closes: #731498)

 -- Michael Stapelberg <stapelberg@debian.org>  Fri, 06 Dec 2013 08:24:44 +0100

golang-go.tools (0.0~hg20131126-1) unstable; urgency=low

  * Initial upload (Closes: #731046)

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 02 Dec 2013 22:17:08 +0100
