=== debian/control ===
Source: golang-golang-x-tools
Section: devel
Priority: extra
Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Michael Stapelberg <stapelberg@debian.org>
Build-Depends: debhelper (>= 9), golang-go, golang-doc, dh-golang (>= 1.7), golang-go.net-dev, libjs-jquery, libjs-jquery-ui
Standards-Version: 3.9.6
Homepage: http://golang.org/x/tools
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-go.tools.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-go/packages/golang-go.tools.git;a=summary

Package: golang-golang-x-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, golang-golang-x-tools-dev
Built-Using: ${misc:Built-Using}
Breaks: golang-go (<< 2:1.2), golang-go.tools (<< 1:0.0~git20150716.0.87156cb~)
Replaces: golang-go (<< 2:1.2), golang-go.tools (<< 1:0.0~git20150716.0.87156cb~)
Provides: golang-go.tools
Description: supplementary Go tools
 This subrepository holds the source for various packages and tools that
 support the Go programming language.
 .
 Some of the tools, godoc and vet for example, used to be included in the
 golang-go package. Others, including the Go oracle and the test coverage tool,
 can be fetched with "go get".
 .
 Packages include a type-checker for Go and an implementation of the Static
 Single Assignment form (SSA) representation for Go programs.

Package: golang-go.tools
Section: oldlibs
Architecture: any
Depends: ${misc:Depends}, golang-golang-x-tools
Description: Transitional package for golang-golang-x-tools
 This is a transitional package to ease upgrades to the golang-golang-x-tools
 package. It can safely be removed.

Package: golang-golang-x-tools-dev
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, libjs-jquery, libjs-jquery-ui
Breaks: golang-go.tools-dev (<< 1:0.0~git20150716.0.87156cb~)
Replaces: golang-go.tools-dev (<< 1:0.0~git20150716.0.87156cb~)
Provides: golang-go.tools-dev
Description: supplementary Go tools (development files)
 This subrepository holds the source for various packages and tools that
 support the Go programming language.
 .
 Some of the tools, godoc and vet for example, used to be included in the
 golang-go package. Others, including the Go oracle and the test coverage tool,
 can be fetched with "go get".
 .
 Packages include a type-checker for Go and an implementation of the Static
 Single Assignment form (SSA) representation for Go programs.
 .
 This package contains the development files.

Package: golang-go.tools-dev
Section: oldlibs
Architecture: any
Depends: ${misc:Depends}, golang-golang-x-tools-dev
Description: Transitional package for golang-golang-x-tools-dev
 This is a transitional package to ease upgrades to the
 golang-golang-x-tools-dev package. It can safely be removed.
