## golang-golang-x-tools 0.0~git20150902.0.1330b28+dfsg1

=== debian/changelog ===
golang-golang-x-tools (1:0.0~git20150902.0.1330b28+dfsg1-0ubuntu1) wily; urgency=medium

  * New upstream version.
  * Updates now that cover and vet are also part of the main golang distribution.
  * Disable two slow tests that time out on some builders (godoc and go/ssa/interp).

 -- Michael Hudson-Doyle <michael.hudson@canonical.com>  Wed, 09 Sep 2015 15:22:32 +1200
