=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Stapelberg <stapelberg@debian.org>
-Build-Depends: debhelper (>= 9), golang-go, golang-doc, dh-golang (>= 1.7), golang-go.net-dev, libjs-jquery, libjs-jquery-ui
+Build-Depends: debhelper (>= 9), golang-go, golang-doc, dh-golang (>= 1.7), golang-golang-x-net-dev, libjs-jquery, libjs-jquery-ui
 Standards-Version: 3.9.6
 Homepage: http://golang.org/x/tools
 Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-go.tools.git
