=== debian/rules ===
--- 
+++ 
@@ -10,23 +10,28 @@
 
 export DH_GOPKG := golang.org/x/tools
 
-# The go/types/... packages currently don’t pass tests.
-export DH_GOLANG_EXCLUDES := golang.org/x/tools/go/types
+# The go/ssa/interp package tests hang on 32 bit platforms
+# (https://github.com/golang/go/issues/11916)
+export DH_GOLANG_EXCLUDES := golang.org/x/tools/go/ssa/interp
 
 # Install all files into the build GOPATH, not only .go files.
 # This is necessary because go.tools contains golden files that are necessary
 # for running the testsuite.
 export DH_GOLANG_INSTALL_ALL := 1
 
-# go.tools installs into $GOROOT, so create a temporary $GOROOT into which it
-# is actually allowed to write (as opposed to /usr/lib/go).
+# go.tools installs godoc into $GOROOT/bin, so create a temporary $GOROOT into
+# which it is actually allowed to write (as opposed to /usr/lib/go).
 export GOROOT_FINAL := /usr/lib/go
 export GOROOT = $(CURDIR)/temproot
 
+override_dh_auto_clean:
+	rm -rf $(CURDIR)/temproot
+	dh_auto_clean $@
+
+
 override_dh_auto_build:
 	mkdir -p $(CURDIR)/temproot
-	# We need a writable copy of pkg, go.tools installs into that.
-	cp -ar /usr/lib/go/pkg $(CURDIR)/temproot/pkg
+	ln -s /usr/lib/go/pkg $(CURDIR)/temproot/pkg
 	ln -s /usr/lib/go/src $(CURDIR)/temproot/src
 	ln -s /usr/share/go/test $(CURDIR)/temproot/test
 	ln -s /usr/share/doc/golang-doc/html $(CURDIR)/temproot/doc
@@ -44,16 +49,14 @@
 	mv $(CURDIR)/debian/tmp/usr/bin/eg $(CURDIR)/debian/tmp/usr/bin/golang-eg
 	# Rename “stress” to “golang-stress” (#793693)
 	mv $(CURDIR)/debian/tmp/usr/bin/stress $(CURDIR)/debian/tmp/usr/bin/golang-stress
-	(cd $(CURDIR)/temproot/bin; \
+	(cd $(CURDIR)/temproot/bin && \
 	 for file in $$(find . -type f -newer $$(find $(CURDIR)/temproot/pkg/tool/ -name "fix")); do \
 		mkdir -p $(CURDIR)/debian/tmp/usr/bin/$$(dirname $$file); \
 		install $$file $(CURDIR)/debian/tmp/usr/bin/$$file; \
 	done)
-	(cd $(CURDIR)/temproot/pkg; \
-	 for file in $$(find . -type f -newer $$(find $(CURDIR)/temproot/pkg/tool/ -name "fix")); do \
-		mkdir -p $(CURDIR)/debian/tmp/usr/lib/go/pkg/$$(dirname $$file); \
-		install $$file $(CURDIR)/debian/tmp/usr/lib/go/pkg/$$file; \
-	done)
+	# Do not install vet or cover in /usr/bin
+	-rm $(CURDIR)/debian/tmp/usr/bin/vet
+	-rm $(CURDIR)/debian/tmp/usr/bin/cover
 	# Remove extra LICENSE file, which is installed because we run with DH_GOLANG_INSTALL_ALL=1.
 	-rm $(CURDIR)/debian/tmp/usr/share/gocode/src/golang.org/x/tools/LICENSE
 	-rm $(CURDIR)/debian/tmp/usr/share/gocode/src/golang.org/x/tools/.gitattributes
