## golang-golang-x-tools 0.0~git20151026.0.0f9d71c

=== debian/changelog ===
golang-golang-x-tools (1:0.0~git20151026.0.0f9d71c-2) unstable; urgency=medium

  * Exclude "cover" and "vet" from being built/installed (Closes: #803130)

 -- Tianon Gravi <tianon@debian.org>  Tue, 27 Oct 2015 14:36:17 -0700

golang-golang-x-tools (1:0.0~git20151026.0.0f9d71c-1) unstable; urgency=medium

  * Update to newer upstream snapshot (Closes: #802988)
    - Compiles properly with Go 1.5+
    - No longer installs everything to GOROOT

 -- Tianon Gravi <tianon@debian.org>  Mon, 26 Oct 2015 15:46:30 -0700

golang-golang-x-tools (1:0.0~git20150716.0.87156cb+dfsg1-4) unstable; urgency=medium

  * Make the transitional golang-go.tools-dev Architecture: all, not
    Architecture: any (otherwise both 1:0.0~git20150716.0.87156cb+dfsg1-3 and
    0.0~hg20140703-4 are in Debian testing). (Closes: #799797)

 -- Michael Stapelberg <stapelberg@debian.org>  Thu, 01 Oct 2015 20:55:09 +0200
