## golang-golang-x-tools 0.0~git20160315.0.f42ec61

=== debian/changelog ===
golang-golang-x-tools (1:0.0~git20160315.0.f42ec61-2) unstable; urgency=medium

  * Rename bundle to golang-bundle. (Closes: #818551)

 -- Michael Hudson-Doyle <michael.hudson@canonical.com>  Thu, 17 Mar 2016 18:37:54 -0700

golang-golang-x-tools (1:0.0~git20160315.0.f42ec61-1) unstable; urgency=medium

  * New upstream snapshot. (Closes: #818320)
    - Passes tests with Go 1.6.

 -- Michael Hudson-Doyle <michael.hudson@canonical.com>  Wed, 16 Mar 2016 14:18:54 -0700
