=== debian/control ===
--- 
+++ 
@@ -2,19 +2,30 @@
 Section: devel
 Priority: extra
 Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Michael Stapelberg <stapelberg@debian.org>
-Build-Depends: debhelper (>= 9), golang-go, golang-doc, dh-golang (>= 1.7), golang-golang-x-net-dev, libjs-jquery, libjs-jquery-ui
+Uploaders: Michael Stapelberg <stapelberg@debian.org>,
+           Tianon Gravi <tianon@debian.org>
+Build-Depends: debhelper (>= 9),
+               dh-golang (>= 1.7),
+               golang-doc,
+               golang-go,
+               golang-golang-x-net-dev,
+               golang-google-appengine-dev,
+               golang-google-cloud-compute-metadata-dev,
+               libjs-jquery,
+               libjs-jquery-ui
 Standards-Version: 3.9.6
 Homepage: http://golang.org/x/tools
 Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-go.tools.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-go/packages/golang-go.tools.git;a=summary
+XS-Go-Import-Path: golang.org/x/tools
 
 Package: golang-golang-x-tools
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, golang-golang-x-tools-dev
+Depends: golang-golang-x-tools-dev, ${misc:Depends}, ${shlibs:Depends}
 Built-Using: ${misc:Built-Using}
 Breaks: golang-go (<< 2:1.2), golang-go.tools (<< 1:0.0~git20150716.0.87156cb~)
-Replaces: golang-go (<< 2:1.2), golang-go.tools (<< 1:0.0~git20150716.0.87156cb~)
+Replaces: golang-go (<< 2:1.2),
+          golang-go.tools (<< 1:0.0~git20150716.0.87156cb~)
 Provides: golang-go.tools
 Description: supplementary Go tools
  This subrepository holds the source for various packages and tools that
@@ -30,14 +41,14 @@
 Package: golang-go.tools
 Section: oldlibs
 Architecture: any
-Depends: ${misc:Depends}, golang-golang-x-tools
+Depends: golang-golang-x-tools, ${misc:Depends}
 Description: Transitional package for golang-golang-x-tools
  This is a transitional package to ease upgrades to the golang-golang-x-tools
  package. It can safely be removed.
 
 Package: golang-golang-x-tools-dev
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, libjs-jquery, libjs-jquery-ui
+Depends: libjs-jquery, libjs-jquery-ui, ${misc:Depends}, ${shlibs:Depends}
 Breaks: golang-go.tools-dev (<< 1:0.0~git20150716.0.87156cb~)
 Replaces: golang-go.tools-dev (<< 1:0.0~git20150716.0.87156cb~)
 Provides: golang-go.tools-dev
@@ -56,8 +67,8 @@
 
 Package: golang-go.tools-dev
 Section: oldlibs
-Architecture: any
-Depends: ${misc:Depends}, golang-golang-x-tools-dev
+Architecture: all
+Depends: golang-golang-x-tools-dev, ${misc:Depends}
 Description: Transitional package for golang-golang-x-tools-dev
  This is a transitional package to ease upgrades to the
  golang-golang-x-tools-dev package. It can safely be removed.
