=== debian/rules ===
--- 
+++ 
@@ -42,6 +42,8 @@
 	mv debian/tmp/usr/bin/eg debian/tmp/usr/bin/golang-eg
 	# Rename “stress” to “golang-stress” (#793693)
 	mv debian/tmp/usr/bin/stress debian/tmp/usr/bin/golang-stress
+	# Rename “bundle” to “golang-bundle” (#818551)
+	mv debian/tmp/usr/bin/bundle debian/tmp/usr/bin/golang-bundle
 	# Remove extra LICENSE file, which is installed because we run with DH_GOLANG_INSTALL_ALL=1.
 	rm debian/tmp/usr/share/gocode/src/golang.org/x/tools/LICENSE
 	rm debian/tmp/usr/share/gocode/src/golang.org/x/tools/.gitattributes
