## golang-golang-x-tools 0.0~git20160826.0.a832035

=== debian/changelog ===
golang-golang-x-tools (1:0.0~git20160826.0.a832035-1) unstable; urgency=medium

  * Team upload.

  [ Paul Tagliamonte ]
  * Use a secure transport for the Vcs-Git and Vcs-Browser URL

  [ Martín Ferrari ]
  * New upstream snapshot. (Closes: #835760)
  * debian/control: Update Standards-Version (no changes), and version
    dependency on dh-golang.
  * Remove now unneeded GOROOT hack, and simplify rules
  * Add lintian overrides for -dev package.

  [ Tim Potter ]
  * Use external packages for third party javascript used in heapview.

 -- Tim Potter <tpot@hpe.com>  Sun, 16 Oct 2016 12:17:45 +1100
