=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: extra
 Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Stapelberg <stapelberg@debian.org>,
-           Tianon Gravi <tianon@debian.org>
+           Tianon Gravi <tianon@debian.org>,
+           Tim Potter <tpot@hpe.com>
 Build-Depends: debhelper (>= 9),
-               dh-golang (>= 1.7),
+               dh-golang (>= 1.17~),
                golang-doc,
                golang-go,
                golang-golang-x-net-dev,
@@ -13,15 +14,15 @@
                golang-google-cloud-compute-metadata-dev,
                libjs-jquery,
                libjs-jquery-ui
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://golang.org/x/tools
-Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-go.tools.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-go/packages/golang-go.tools.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-go.tools.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-go/packages/golang-go.tools.git;a=summary
 XS-Go-Import-Path: golang.org/x/tools
 
 Package: golang-golang-x-tools
 Architecture: any
-Depends: golang-golang-x-tools-dev, ${misc:Depends}, ${shlibs:Depends}
+Depends: golang-golang-x-tools-dev, ${misc:Depends}, ${shlibs:Depends}, node-typescript, libjs-webcomponentsjs-custom-element-v0, libjs-es-module-loader-0.17
 Built-Using: ${misc:Built-Using}
 Breaks: golang-go (<< 2:1.2), golang-go.tools (<< 1:0.0~git20150716.0.87156cb~)
 Replaces: golang-go (<< 2:1.2),
