=== debian/watch ===
version=3
 https://github.com/golang/tools/releases \
 .*/v?(\d[\d\.]*)\.tar\.gz
