## golang-golang-x-tools 0.0~git20161028.0.b814a3b+ds

=== debian/changelog ===
golang-golang-x-tools (1:0.0~git20161028.0.b814a3b+ds-3~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Martín Ferrari <tincho@debian.org>  Mon, 13 Feb 2017 15:53:29 +0000

golang-golang-x-tools (1:0.0~git20161028.0.b814a3b+ds-3) unstable; urgency=high

  * Reintroduce GOROOT hack to solve build failures with gccgo.
  * Fix or disable tests that don't work when using gccgo. Possibly some tools
    won't work with gccgo properly, this is being followed upstream in
    https://github.com/golang/go/issues/17999

 -- Martín Ferrari <tincho@debian.org>  Mon, 21 Nov 2016 19:44:05 +0000

golang-golang-x-tools (1:0.0~git20161028.0.b814a3b+ds-2~bpo8+1) jessie-backports; urgency=medium

  [ Team upload ]
  * Rebuild for jessie-backports.

 -- Tim Potter <tpot@hpe.com>  Mon, 07 Nov 2016 15:02:37 +1100

golang-golang-x-tools (1:0.0~git20161028.0.b814a3b+ds-2) unstable; urgency=medium

  * Drop unneeded build-dependency on golang-doc. Add recommends on that.
  * Adjust tests to cope with no golang-doc.
  * Add copyright info about cmd/goyacc/yacc.go

 -- Martín Ferrari <tincho@debian.org>  Mon, 31 Oct 2016 22:50:49 +0000

golang-golang-x-tools (1:0.0~git20161028.0.b814a3b+ds-1) unstable; urgency=high

  [ Tim Potter ]
  * Remove dependency on js packages for golang-golang-x-tools-dev package
  * Remove dependency on dev package for golang-golang-x-tools package

  [ Martín Ferrari ]
  * New upstream release.
  * Add myself to Uploaders.
  * Remove build dependencies on jquery and appengine libraries, as these are
    not needed.
  * Update oracle man page to new golang-guru tool.
  * Clean-up debian/rules, and stop building heapview until nodejs dependency
    issues are solved.
  * Drop nodejs dependencies, so it can be installable everywhere again.
    Raising urgency.
  * Use /usr/share/golang-golang-x-tools for static web files.
  * Stop embedding web files, and separate them from code.
  * Remove useless watchfile.
  * Adjust lintian overrides.
  * debian/control: Fix Vcs-* fields.
  * debian/control: Replace golang-go with golang-any in Build-Depends.

 -- Martín Ferrari <tincho@debian.org>  Mon, 31 Oct 2016 21:36:08 +0000
