=== debian/control ===
--- 
+++ 
@@ -2,32 +2,31 @@
 Section: devel
 Priority: extra
 Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Michael Stapelberg <stapelberg@debian.org>,
+Uploaders: Martín Ferrari <tincho@debian.org>,
+           Michael Stapelberg <stapelberg@debian.org>,
            Tianon Gravi <tianon@debian.org>,
-           Tim Potter <tpot@hpe.com>
+           Tim Potter <tpot@hpe.com>,
 Build-Depends: debhelper (>= 9),
                dh-golang (>= 1.17~),
-               golang-doc,
-               golang-go,
+               golang-any,
                golang-golang-x-net-dev,
-               golang-google-appengine-dev,
-               golang-google-cloud-compute-metadata-dev,
-               libjs-jquery,
-               libjs-jquery-ui
 Standards-Version: 3.9.8
 Homepage: http://golang.org/x/tools
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-go.tools.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-go/packages/golang-go.tools.git;a=summary
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-go.tools.git
 XS-Go-Import-Path: golang.org/x/tools
 
 Package: golang-golang-x-tools
 Architecture: any
-Depends: golang-golang-x-tools-dev, ${misc:Depends}, ${shlibs:Depends}, node-typescript, libjs-webcomponentsjs-custom-element-v0, libjs-es-module-loader-0.17
+Depends: ${misc:Depends}, ${shlibs:Depends},
+         libjs-jquery,
+         libjs-jquery-ui,
 Built-Using: ${misc:Built-Using}
 Breaks: golang-go (<< 2:1.2), golang-go.tools (<< 1:0.0~git20150716.0.87156cb~)
 Replaces: golang-go (<< 2:1.2),
           golang-go.tools (<< 1:0.0~git20150716.0.87156cb~)
 Provides: golang-go.tools
+Recommends: golang-doc
 Description: supplementary Go tools
  This subrepository holds the source for various packages and tools that
  support the Go programming language.
@@ -49,7 +48,7 @@
 
 Package: golang-golang-x-tools-dev
 Architecture: all
-Depends: libjs-jquery, libjs-jquery-ui, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: golang-go.tools-dev (<< 1:0.0~git20150716.0.87156cb~)
 Replaces: golang-go.tools-dev (<< 1:0.0~git20150716.0.87156cb~)
 Provides: golang-go.tools-dev
