## golang-golang-x-tools 0.0~git20170707.0.bce9606b+ds

=== debian/changelog ===
golang-golang-x-tools (1:0.0~git20170707.0.bce9606b+ds-1ubuntu1) bionic; urgency=medium

  * Add d/patches/0009-ssainterp-s390x.patch to fix ftbfs on s390x.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 22 Dec 2017 13:35:00 +1300

golang-golang-x-tools (1:0.0~git20170707.0.bce9606b+ds-1) unstable; urgency=medium

  * New upstream snapshot.
  * Delete 0010-fix-gorename-tests.patch because "x/tools/cmd/rename:
    tests are failing for Go 1.7 and Go 1.8" has been fixed upstream.
  * Remove GOROOT hack (needed by gccgo-6 but not gccgo-7).
    gccgo-7 no longer installs godoc into $GOROOT/bin like gccgo-6 did,
    and the old GOROOT hack would actually cause FTBFS with gccgo-7.
    (Closes: #866710)
  * Update and re-enable patches which disable or fix/workaround
    issues with certain tests with gccgo-7.

 -- Anthony Fok <foka@debian.org>  Fri, 07 Jul 2017 16:18:16 -0600

golang-golang-x-tools (1:0.0~git20170629.0.1b3bb8de+ds-1) unstable; urgency=medium

  * Repack to remove excluded files (command: "XZ_OPT=-9e mk-origtargz -S +ds").

 -- Anthony Fok <foka@debian.org>  Fri, 30 Jun 2017 23:29:00 -0600

golang-golang-x-tools (1:0.0~git20170629.0.1b3bb8de-1) unstable; urgency=medium

  * New upstream snapshot.
  * Bump Standards-Version to 4.0.0:
    Use https form of the copyright-format URL in debian/copyright.
  * Add myself to the list of Uploaders.
  * Add Build-Depends on golang-golang-x-crypto-dev due to new dependency on
    golang.org/x/crypto/acme/autocert in command-line tools.
  * Update debian patches for new upstream snapshot:
    - Refreshed to remove line offsets and/or fuzz:
      * 0002-skip-online-tests.patch
      * 0005-Disable_static.go.patch (with minor code adjustment)
      * 0006-Do_not_depend_on_golang-doc.patch
    - Disabled for now:
      * 0004-heapview.patch (does not apply cleanly, and heapview is not built)
      * 0007-Disable_tests_for_gccgo.patch (gccgo-7 may do better than gccgo-6)
      * 0008-Fix_tests_for_gccgo.patch (Ditto)
    - Deleted previously cherry-picked upstream patch:
      * 0009-imports-symlink-flake.patch
    - Add upstream work-in-progress patch to fix failed gorename tests:
      * 0010-fix-gorename-tests.patch
  * Update Lintian overrides.

 -- Anthony Fok <foka@debian.org>  Fri, 30 Jun 2017 10:43:15 -0600

golang-golang-x-tools (1:0.0~git20161028.0.b814a3b+ds-4) unstable; urgency=medium

  * disable tests on gccgo (closes: #857024)
  * add 0009-imports-symlink-flake.patch (Closes: #857025)

 -- Michael Stapelberg <stapelberg@debian.org>  Fri, 17 Mar 2017 19:43:57 +0100
