=== debian/control ===
--- 
+++ 
@@ -6,11 +6,13 @@
            Michael Stapelberg <stapelberg@debian.org>,
            Tianon Gravi <tianon@debian.org>,
            Tim Potter <tpot@hpe.com>,
+           Anthony Fok <foka@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-golang (>= 1.17~),
                golang-any,
                golang-golang-x-net-dev,
-Standards-Version: 3.9.8
+               golang-golang-x-crypto-dev
+Standards-Version: 4.0.0
 Homepage: http://golang.org/x/tools
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-go.tools.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-go.tools.git
