=== debian/rules ===
--- 
+++ 
@@ -11,29 +11,6 @@
 # godoc/static is needed for tests.
 export DH_GOLANG_INSTALL_EXTRA := godoc/static \
     $(wildcard */*/testdata) $(wildcard */*/*/testdata)
-
-BUILDDIR := $(CURDIR)/build
-
-%:
-	dh $@ --buildsystem=golang --with=golang --builddirectory=$(BUILDDIR)
-
-# gccgo installs godoc into $GOROOT/bin, so create a temporary $GOROOT into
-# which it is actually allowed to write (as opposed to /usr/lib/go).
-ifneq ($(strip $(shell go version | grep gccgo)),)
-DH_GOLANG_EXCLUDES += golang.org/x/tools/cmd/godoc
-
-TMPGOROOT := $(BUILDDIR)/root
-
-override_dh_auto_configure:
-	mkdir -p $(TMPGOROOT)
-	dh_auto_configure
-
-override_dh_auto_build:
-	dh_auto_build
-	GOROOT=$(TMPGOROOT) GOPATH=$(BUILDDIR) go install -v \
-	    golang.org/x/tools/cmd/godoc
-	mv -v $(TMPGOROOT)/bin/godoc $(BUILDDIR)/bin
-endif
 
 override_dh_auto_install:
 	dh_auto_install
@@ -50,3 +27,6 @@
 	# use short tests where possible (especially to skip tests like
 	# TestWebIndex which are very slow)
 	dh_auto_test -- -test.short
+
+%:
+	dh $@ --buildsystem=golang --with=golang
