## golang-golang-x-tools 0.0~git20180222.0.f8f2f88+ds

=== debian/changelog ===
golang-golang-x-tools (1:0.0~git20180222.0.f8f2f88+ds-1) unstable; urgency=high

  * New upstream snapshot. Closes: #890927.
  * Refresh patches.
  * Add new lintian overrides.
  * Fix gccgo build by disabling a couple of tests.
  * Stop manually copying testdata.

 -- Martín Ferrari <tincho@debian.org>  Sat, 24 Feb 2018 12:07:14 +0000
