=== debian/control ===
Source: golang-golang-x-tools
Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Martín Ferrari <tincho@debian.org>,
           Michael Stapelberg <stapelberg@debian.org>,
           Tianon Gravi <tianon@debian.org>,
           Tim Potter <tpot@hpe.com>,
           Anthony Fok <foka@debian.org>,
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-golang (>= 1.17~),
               golang-any,
               golang-golang-x-crypto-dev,
               golang-golang-x-net-dev,
Standards-Version: 4.1.3
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-go.tools.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-go.tools.git
Homepage: http://golang.org/x/tools
XS-Go-Import-Path: golang.org/x/tools

Package: golang-golang-x-tools
Architecture: any
Depends: libjs-jquery,
         libjs-jquery-ui,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: golang-doc,
Breaks: golang-go (<< 2:1.2),
        golang-go.tools (<< 1:0.0~git20150716.0.87156cb~),
Provides: golang-go.tools,
Replaces: golang-go (<< 2:1.2),
          golang-go.tools (<< 1:0.0~git20150716.0.87156cb~),
Built-Using: ${misc:Built-Using},
Description: supplementary Go tools
 This subrepository holds the source for various packages and tools that
 support the Go programming language.
 .
 Some of the tools, godoc and vet for example, used to be included in the
 golang-go package. Others, including the Go oracle and the test coverage tool,
 can be fetched with "go get".
 .
 Packages include a type-checker for Go and an implementation of the Static
 Single Assignment form (SSA) representation for Go programs.

Package: golang-go.tools
Architecture: any
Section: oldlibs
Depends: golang-golang-x-tools,
         ${misc:Depends},
Description: Transitional package for golang-golang-x-tools
 This is a transitional package to ease upgrades to the golang-golang-x-tools
 package. It can safely be removed.

Package: golang-golang-x-tools-dev
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends},
Breaks: golang-go.tools-dev (<< 1:0.0~git20150716.0.87156cb~),
Provides: golang-go.tools-dev,
Replaces: golang-go.tools-dev (<< 1:0.0~git20150716.0.87156cb~),
Description: supplementary Go tools (development files)
 This subrepository holds the source for various packages and tools that
 support the Go programming language.
 .
 Some of the tools, godoc and vet for example, used to be included in the
 golang-go package. Others, including the Go oracle and the test coverage tool,
 can be fetched with "go get".
 .
 Packages include a type-checker for Go and an implementation of the Static
 Single Assignment form (SSA) representation for Go programs.
 .
 This package contains the development files.

Package: golang-go.tools-dev
Architecture: all
Section: oldlibs
Depends: golang-golang-x-tools-dev,
         ${misc:Depends},
Description: Transitional package for golang-golang-x-tools-dev
 This is a transitional package to ease upgrades to the
 golang-golang-x-tools-dev package. It can safely be removed.
