## golang-golang-x-tools 0.0~git20180501.d3e4ceb5+ds

=== debian/changelog ===
golang-golang-x-tools (1:0.0~git20180501.d3e4ceb5+ds-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Build-Depend on dh-golang (>= 1.31~) to have testdata/ directories
    copied automatically, avoiding build errors.
  * Build-Depend on golang-any (>= 2:1.8~) for its new doc.IsPredefined

 -- Anthony Fok <foka@debian.org>  Thu, 10 May 2018 07:44:55 -0600

golang-golang-x-tools (1:0.0~git20180501.d3e4ceb5+ds-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Anthony Fok ]
  * New upstream version 0.0~git20180501.d3e4ceb5+ds
    from release-branch.go1.10
  * Apply "cme fix dpkg" fixes to debian/control,
    bumping Standards-Version to 4.1.4, etc.
  * Use debhelper (>= 11)
  * Refresh patches
  * Apply upstream patch to fix TestGuru error.
    See "cmd/guru: skip broken test for old Go versions for now"
    at https://go-review.googlesource.com/c/tools/+/112375

 -- Anthony Fok <foka@debian.org>  Wed, 09 May 2018 17:23:50 -0600
