=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,7 @@
     golang.org/x/tools/cmd/heapview golang.org/x/tools/godoc/static
 
 # godoc/static is needed for tests.
-export DH_GOLANG_INSTALL_EXTRA := godoc/static \
-    $(wildcard */*/testdata) $(wildcard */*/*/testdata)
+export DH_GOLANG_INSTALL_EXTRA := godoc/static
 
 override_dh_auto_install:
 	dh_auto_install
