## golang-golang-x-tools 0.0~git20190125.d66bd3c%2Bds

=== debian/changelog ===
golang-golang-x-tools (1:0.0~git20190125.d66bd3c+ds-4) unstable; urgency=high

  * Do not build cmd/gopls/forward,as it does not seem to be used, and
    conflicts with binaries in other packages. Closes: #920934.

 -- Martín Ferrari <tincho@debian.org>  Wed, 30 Jan 2019 20:18:31 +0000

golang-golang-x-tools (1:0.0~git20190125.d66bd3c+ds-3) unstable; urgency=high

  * debian/control: Remove Build-Dep on golang-doc, as it is not really
    needed and prevents building in non-golang-go arches.

 -- Martín Ferrari <tincho@debian.org>  Mon, 28 Jan 2019 23:58:22 +0000

golang-golang-x-tools (1:0.0~git20190125.d66bd3c+ds-2) unstable; urgency=high

  * Fix build failures on mips/mipsel due to alignment issues.

 -- Martín Ferrari <tincho@debian.org>  Mon, 28 Jan 2019 20:57:26 +0000

golang-golang-x-tools (1:0.0~git20190125.d66bd3c+ds-1) unstable; urgency=high

  [ Anthony Fok ]
  * Build-Depend on dh-golang (>= 1.31~) So that testdata/ directories are
    copied automatically, avoiding build errors.
  * Build-Depend on golang-any (>= 2:1.8~) for doc.IsPredefined

  [ Dr. Tobias Quathamer ]
  * Update team name
  * Update to Standards-Version 4.3.0
  * Simplify gbp.conf
  * Use HTTPS for Homepage
  * Remove empty d/lintian-overrides
  * Refresh patches
  * Disable pristine-tar
  * Set GOCACHE variable to on

  [ Martín Ferrari ]
  * New upstream snapshot. Closes: #918415 (raising urgency).
  * debian/gbp.conf: Re-add debian-branch option, as some tools require
    it.
  * debian/control: Build-depend on golang-doc, as some tests require it.
  * Fix GOCACHE value so it matches what tests expect.
  * debian/rules: Honour DEB_BUILD_OPTIONS=nocheck.
  * Fix more failing tests.
  * Add watchfile.
  * Update lintian overrides for test data.
  * Disable loading Google Analytics in godoc pages.
  * debian/control: Remove unneeded build dependencies.

 -- Martín Ferrari <tincho@debian.org>  Mon, 28 Jan 2019 14:13:45 +0000
